package com.qy.worksheetsystem.entity;

import lombok.Data;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * description: JobBooking <br>
 * date: 2022/3/18 17:30 <br>
 * author: lhbj <br>
 * version: 1.0 <br>
 */
@Data
public class JobBooking {
    String timeSheetId;
    String title;
    String attendanceType;
    String hourTotal;
    String attendanceTypeName;
    String status;
    String workingHours;
    String projectId;
    String projectName;
    String beginDate;
    String endDate;
    public String getBeginDate() {
        return beginDate;
    }

    public void setBeginDate(String beginDate) {
        this.beginDate = beginDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public String getAttendanceTypeName() {
        return attendanceTypeName;
    }

    public void setAttendanceTypeName(String attendanceTypeName) {
        this.attendanceTypeName = attendanceTypeName;
    }

    public String getWorkingHours() {
        return workingHours;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public void setWorkingHours(String workingHours) {
        this.workingHours = workingHours;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    List<JobBookingEntry> details = new ArrayList<>();

    public String getTimeSheetId() {
        return timeSheetId;
    }

    public void setTimeSheetId(String timeSheetId) {
        this.timeSheetId = timeSheetId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getAttendanceType() {
        return attendanceType;
    }

    public void setAttendanceType(String attendanceType) {
        this.attendanceType = attendanceType;
    }

    public String getHourTotal() {
        return hourTotal;
    }

    public void setHourTotal(String hourTotal) {
        this.hourTotal = hourTotal;
    }

    public List<JobBookingEntry> getDetails() {
        return details;
    }

    public void setDetails(List<JobBookingEntry> details) {
        this.details = details;
    }
}
